[Frugalware-git] kde5: poppler-0.62.0-1-x86_64

crazy crazy at frugalware.org
Thu Dec 21 14:00:49 CET 2017


Git-Url: http://git.frugalware.org/gitweb/gitweb.cgi?p=kde5.git;a=commitdiff;h=5b7b900faf0ae29a999a207bb0fd9b3f1d667a50

commit 5b7b900faf0ae29a999a207bb0fd9b3f1d667a50
Author: crazy <crazy at frugalware.org>
Date:   Thu Dec 21 14:00:20 2017 +0100

poppler-0.62.0-1-x86_64

* Version bump

diff --git a/source/xlib/poppler/FrugalBuild b/source/xlib/poppler/FrugalBuild
index 88ef89f..ac3ab70 100644
--- a/source/xlib/poppler/FrugalBuild
+++ b/source/xlib/poppler/FrugalBuild
@@ -8,19 +8,18 @@ USE_QT5=${USE_QT5:-"y"}
##       switch to cmake

pkgname=poppler
-pkgver=0.60.1
-pkgrel=2
+pkgver=0.62.0
+pkgrel=1
pkgdesc="A PDF rendering library"
url="http://poppler.freedesktop.org/"
-depends=('fontconfig>=2.12-2' 'cairo>=1.14.6-4' 'libjpeg>=9a-2' 'libpng>=1.6.25'  'openjpeg>=2.2.0' 'libstdc++>=6.3.1-4' 'poppler-data' 'curl')
+depends=('fontconfig>=2.12-2' 'cairo>=1.14.6-4' 'libjpeg>=9a-2' 'libpng>=1.6.25' 'openjpeg>=2.2.0' 'libstdc++>=6.3.1-4' 'poppler-data' 'curl')
makedepends=('x11-protos' 'gobject-introspection>=1.50.0' 'extra-cmake-modules' 'lcms2')
rodepends=('poppler-data')
groups=('xlib')
archs=("x86_64")
up2date="Flasttar $url/releases.html"
-source=(http://poppler.freedesktop.org/$pkgname-$pkgver.tar.xz \
-	01-poppler.conf)
-sha1sums=('a913b08514c91225954421854bca9605f237acf3' \
+source=(http://poppler.freedesktop.org/$pkgname-$pkgver.tar.xz 01-poppler.conf)
+sha1sums=('45f5186f9c514d121acd8c4aeae0e0137916a5f4' \
'a048348d9a8c6d545714350d3ab66dc7028e4b7f')
options+=('scriptlet' 'force')
conflicts=('poppler-qt' 'poppler-qt4')
@@ -58,7 +57,7 @@ if Fuse $USE_QT5; then
subpkgs+=('poppler-qt5')
subdescs+=('Poppler QT5 bindings')
subgroups+=('xlib')
-	subdepends+=('qt5-base>=5.9.2')
+	subdepends+=('qt5-base>=5.10.0')
subrodepends+=('poppler')
subarchs+=("x86_64")
subreplaces+=('')


More information about the Frugalware-git mailing list